- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Static Public Member Functions | List of all members
pdftron::PDF::PDFNetInternalTools Class Reference

`#include <PDFNetInternalTools.h>`

## Public Types
enum | LogBackend { eDebugger = 0, eDisk = 1, eCallback = 2, eConsole = 3 }
enum | LogLevel { eTrace = 0, eDebug = 1, eInfo = 2, eWarning = 3, eError = 4, eFatal = 5, eDisabled = 6 }

## Static Public Member Functions
static bool | IsLogSystemAvailable ()
static bool | ConfigureLogFromJsonString (UString config_string)
static UString | GetDefaultConfigFile ()
static void | LogMessage (LogLevel threshold, UString message, UString filename, UInt32 line_number)
static void | LogStreamMessage (LogLevel threshold, UString stream, UString message, UString filename, UInt32 line_number)
static bool | SetLogLocation (UString log_directory, UString log_filename)
static bool | SetLogFileName (UString log_filename)
static void | SetThresholdForLogStream (UString stream_name, LogLevel stream_threshold)
static void | SetDefaultLogThreshold (LogLevel threshold)
static void | SetCutoffLogThreshold (LogLevel threshold)
static bool | EnableLogBackend (LogBackend backend)
static void | DisableLogBackend (LogBackend backend)
static UString | GetPDFViewTileSummary ()

## Detailed Description

The class PDFNetInternalTools. Handles internal logging functionality of the Apryse SDK.

Definition at line 21 of file PDFNetInternalTools.h.

## Member Enumeration Documentation

enum pdftron::PDF::PDFNetInternalTools::LogBackend

Enumerator
eDebugger |
eDisk |
eCallback |
eConsole |

Definition at line 25 of file PDFNetInternalTools.h.

enum pdftron::PDF::PDFNetInternalTools::LogLevel

Enumerator
eTrace |
eDebug |
eInfo |
eWarning |
eError |
eFatal |
eDisabled |

Definition at line 31 of file PDFNetInternalTools.h.

## Member Function Documentation

static bool pdftron::PDF::PDFNetInternalTools::ConfigureLogFromJsonString | ( | UString | config_string | ) |
| static

Attempt to configure the logging ssytem with a json configuration file.

Parameters

  config_string | – Configuration Data in json form.

Returns
  Indicates if the configuration was successful.

static void pdftron::PDF::PDFNetInternalTools::DisableLogBackend | ( | LogBackend | backend | ) |
| static

Disable a particular log backend.

Parameters

  backend | – The log backend to disable.

static bool pdftron::PDF::PDFNetInternalTools::EnableLogBackend | ( | LogBackend | backend | ) |
| static

Enable a particular log backend.

Parameters

  backend | – The log backend to enable.

Returns
  Returns true if the backend is available and functioning.

static UString pdftron::PDF::PDFNetInternalTools::GetDefaultConfigFile | ( |  | ) |
| static

Get the default configuration json file. You could then modify it and pass it into ConfigureLogFromJsonString.

Returns
  The json string representing the default log configuration.

static UString pdftron::PDF::PDFNetInternalTools::GetPDFViewTileSummary | ( |  | ) |
| static

Get a summary of the held tiles of all the know instances of PDFViewImplTiled.

Returns
  The json string representing the tile summary.

static bool pdftron::PDF::PDFNetInternalTools::IsLogSystemAvailable | ( |  | ) |
| static

Find out whether the logging system is built into this particular binary.

Returns
  returns true if TRN_LOG_ENABLE is defined in core.

static void pdftron::PDF::PDFNetInternalTools::LogMessage | ( | LogLevel | threshold,
|  | UString | message,
|  | UString | filename,
|  | UInt32 | line_number
| ) |  |
| static

Log a message to a particular stream using the core logging routines.

Parameters

  threshold | – the importance of this log message.
  message | – the message to be logged.
  filename | – the filename from which the log message originates.
  line_number | – the line number from which the log message originates.

static void pdftron::PDF::PDFNetInternalTools::LogStreamMessage | ( | LogLevel | threshold,
|  | UString | stream,
|  | UString | message,
|  | UString | filename,
|  | UInt32 | line_number
| ) |  |
| static

Log a message to a particular stream using the core logging routines.

Parameters

  threshold | – the importance of this log message.
  stream | – the name of the stream to which the message belongs (a category label).
  message | – the message to be logged.
  filename | – the filename from which the log message originates.
  line_number | – the line number from which the log message originates.

static void pdftron::PDF::PDFNetInternalTools::SetCutoffLogThreshold | ( | LogLevel | threshold | ) |
| static

set the global log cutoff. No log statements with a level less than this will pass.

Parameters

  threshold | – The threshold. Entries with a priority greater than or equal to this level will be logged.

static void pdftron::PDF::PDFNetInternalTools::SetDefaultLogThreshold | ( | LogLevel | threshold | ) |
| static

set the log level for streams that do not otherwise have their level set.

Parameters

  threshold | – Entries with a priority greater than or equal to this level will be logged.

static bool pdftron::PDF::PDFNetInternalTools::SetLogFileName | ( | UString | log_filename | ) |
| static

Set the filename to log to.

Parameters

  log_filename | – the name of the file to log into.

Returns
  returns true we were able to open a log file successfully.

static bool pdftron::PDF::PDFNetInternalTools::SetLogLocation | ( | UString | log_directory,
|  | UString | log_filename
| ) |  |
| static

Set the directory and filename to log to. If the directory does not exist, it will be created.

Parameters

  log_directory | – the path of the directory to log into.
  log_filename | – the name of the file to log into.

Returns
  returns true we were able to open a log file successfully.

static void pdftron::PDF::PDFNetInternalTools::SetThresholdForLogStream | ( | UString | stream_name,
|  | LogLevel | stream_threshold
| ) |  |
| static

set the log level for some particular stream.

Parameters

  stream_name | – the name of the stream you wish to configure.
  stream_threshold | – the stream threshold. Entries with a priority greater than or equal to this level will be logged.

The documentation for this class was generated from the following file:

- PDF/PDFNetInternalTools.h